// simple custom slider
function customSlider() {
		//get both of the sliders navigation buttons
	var navButtons = $('nav.slider-arrows').children('span'),
		//get slider container
		sliderContainer = $('div#slider-wrapper').children('ul'),
		// get all slides in the slider container
		slides = sliderContainer.children('li.slide'),
		// get the slider width
		slideWidth = slides.first().width(),
		//count how many slides do we have
		numberOfSlides = slides.length,
		// total width of all slides
		totalWidth = numberOfSlides * slideWidth,
		// numer of currently displayed slide - start from number 1
		currentSlide = 1,
		//step
		slidePosition = slideWidth;

		//set the slide-list width
		sliderContainer.css('width', totalWidth);

	//listen for the clicked navigation button
	navButtons.on('click', function() {
		// listen for data attribute to derermine if it's next or prev
		var navDirection = $(this).data('slider-nav-direction');

		// update the current slide variable depending on the clicked navigation button
		if (navDirection === 'next') {
			// update current slider number
			currentSlide+=1;
			// check if its the last slide and if so move to the first one after click, else do nothing
			( currentSlide === numberOfSlides + 1 ) ? currentSlide = 1 : false;
			// calculate the position of the slide
			slidePosition = currentSlide*slideWidth - slideWidth;
		} else {
			// update current slider number
			currentSlide-=1;
			// check if its the first slide and if so move to the last one after click, else do nothing
			( currentSlide === 0 ) ? currentSlide = numberOfSlides : false;
			// calculate the position of the slide
			slidePosition = currentSlide*slideWidth - slideWidth;
		}

		// animate the slide
		moveSlide(sliderContainer, slidePosition, navDirection);
	});

	function moveSlide( container, slidePosition, direction ) {
		//add or subtract depending on the direction
		container.animate({
			'margin-left': -slidePosition + 'px',
		}, 200, 'swing' );
	}	
};

 /* PLUS AND MINUS FOR ACCORDION
  * ================= */
(function() {
	var accordionHeader = $('div.accordion').children('div.accordion-group').children('div.accordion-heading');

		accordionHeader.on('click', function() {
			var clickedAccodrionHeader = $(this).children('a');

			if (clickedAccodrionHeader.hasClass('opened')) {
				clickedAccodrionHeader.removeClass('opened');
			} else 
			if (clickedAccodrionHeader.not('.opened')) {
				accordionHeader.children('a').removeClass('opened');
				clickedAccodrionHeader.addClass('opened');
			}
		});
})();

 /* CONTACT FORM
  * ================= */
$(function(){
	$("#contactForm").submit(function(){
		$("#submitf").value='Please wait...';
		
		$.post("js/contact.php?send=contact", $("#contactForm").serialize(),
		function(data){
			if(data.frm_check == 'error'){ 
			
					$("#message_post").html("<div class='errorMessage'>ERROR: " + data.msg + "!</div>"); 
			} else {
				$("#message_post").html("<div class='successMessage'>Your message has been sent successfully!</div>"); 
				$("#submitf").value='Send >>';
				}
		}, "json");
		
		return false;
		
	});
});

 /* NEWSLETTER FORM
  * ================= */
$(function(){
	$("#newsletterForm").submit(function(){
		$("#submitf").value='Please wait...';
		
		$.post("js/newsletter.php?send=newsletter", $("#newsletterForm").serialize(),
		function(data){
			if(data.frm_check == 'error'){ 
			
					$("#message_post2").html("<div class='errorMessage'>ERROR: " + data.msg + "!</div>"); 
			} else {
				$("#message_post2").html("<div class='successMessage'>Successfully singed to a newsletter!</div>"); 
				$("#submitf").value='Send >>';
				}
		}, "json");
		
		return false;
		
	});
});

 /* CREATE EXISTS FUNCTION FO CHECKING IF CONTAINER EXISTS
  * ================= */
jQuery.fn.exists = function() {
	return this.length>0;
}

 /* GOOGLE MAP LOCATION FOR CONTACT PAGE ONLY IF MAP EXISTS
  * ================= */
if ($("#map").exists()) {
    var map;
	map = new GMaps({
	    div: '#map',
	    lat: 40.714353,
	    lng: -74.005973,
	    zoom: 15,
		zoomControl: true,
		zoomControlOpt: {
			style : 'SMALL',
			position: 'TOP_LEFT'
		},
		streetViewControl: false,
	});

	map.addMarker({
	    lat: 40.714353,
	    lng: -74.005973,
	});
}

 /* INITIALIZE CUSTOM SLIDER IF SLIDER EXISTS
  * ================= */
if ($("#slider-container").exists()) {
	customSlider();
}
